#pragma once

#include "CoreMinimal.h"
#include "UseContaminationAntidoteInteraction.h"
#include "K29UseInfectionRemoverInteraction.generated.h"

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class UK29UseInfectionRemoverInteraction : public UUseContaminationAntidoteInteraction
{
	GENERATED_BODY()

protected:
	UFUNCTION(BlueprintCallable, BlueprintImplementableEvent, BlueprintCosmetic)
	void OnSurvivorCured_Cosmetic();

public:
	UK29UseInfectionRemoverInteraction();
};

FORCEINLINE uint32 GetTypeHash(const UK29UseInfectionRemoverInteraction) { return 0; }
